Module tdlight.api
Package it.tdlight.jni

# Class TdApi.ChatAdministrator

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.ChatAdministrator

Enclosing class:
  TdApi

public static final class TdApi.ChatAdministrator extends TdApi.Object
Contains information about a chat administrator.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`String`
`customTitle`
Custom title of the administrator.
`boolean`
`isOwner`
True, if the user is the owner of the chat.
`long`
`userId`
User identifier of the administrator.

## Constructor Summary

Constructors
Constructor
Description
`ChatAdministrator()`
Contains information about a chat administrator.
`ChatAdministrator(long userId, String customTitle, boolean isOwner)`
Contains information about a chat administrator.
`ChatAdministrator(DataInput input)`
Contains information about a chat administrator.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### userId

public long userId
User identifier of the administrator.

### customTitle

public String customTitle
Custom title of the administrator.

### isOwner

public boolean isOwner
True, if the user is the owner of the chat.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### ChatAdministrator

public ChatAdministrator()
Contains information about a chat administrator.

### ChatAdministrator

public ChatAdministrator(long userId, String customTitle, boolean isOwner)
Contains information about a chat administrator.

Parameters:
  `userId` - long User identifier of the administrator.
  `customTitle` - String Custom title of the administrator.
  `isOwner` - boolean True, if the user is the owner of the chat.

### ChatAdministrator

public ChatAdministrator(DataInput input) throws IOException
Contains information about a chat administrator.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`